# Ortogonální a ortonormální báze prostoru, Gramův-Schmidtův ortogonalizační proces
## Ortogonální a ortonormální báze prostoru
### Ortogonální báze prostoru
- Dva prvky $\vec{x}, \vec{y}$ Eukleidovského prostoru $U$ jsou **ortogonální** (kolmé), jestliže $(\vec{x}, \vec{y}) = 0$.
- Píšeme $\vec{x} \perp \vec{y}$.
- Množiny $X, Y, \subset U$ jsou ortiginální, jestliže $\vec{x} \perp \vec{y}$ pro každé $\vec{x} \in X$ a $\vec{y} \in Y$.

- Každá podmnožina Eukleidovského prostoru, jejíž prvky jsou nenulové a navzájem ortogonální, je LN.
- Žádný ze vzájemně kolmých vektorů není možné vyjádřit jako LK ostatních.

### Ortonormální báze prostoru
- prvky báze jsou ortogonální a zároveň normované, tedy vzájemně různé prvky báze jsou na sebe **kolmé** a všechny prvky báze jsou **jednotkové**

## Gramův-Schmidtův ortogonalizační proces
- určení ortogonální báze ze zadané báze

1. Mějme v $U$ bázi $\vec{b}_{1}, \vec{b}_{2}, \dots, \vec{b}_{n};$ hledáme ortogonální bázi $\vec{g}_{1}, \vec{g}_{2}, \dots, \vec{g}_{n}$.
2. Položíme $\vec{g}_{1} = \vec{b}_{1}$.
3. Určíme $\displaystyle \vec{g}_{2} = \vec{b}_{2} - \frac{\vec{b}_{2}, \vec{g}_{1}}{(\vec{g}_{1}, \vec{g}_{1})} \vec{g}_{1}$, což je ortogonální (kolmý) průmět vektoru $\vec{b}_{2}$ do přímky dané vektorem $\vec{g}_{1}$. Platí, že $\vec{g}_{2} \perp \vec{g}_{1}$.
4. Obecně hledáme $\vec{g}_{k}$ jako $\vec{b}_{k} - \overline{\vec{b}_{k}}$, kde $\overline{\vec{b}_{k}}$ je ortogonální průmět prvku $\vec{b}_{k}$ do podprostoru s ortogonální bází $\vec{g}_{1}, \vec{g}_{2}, \dots, \vec{g}_{k-1}$. Tedy:
	$$
    \displaystyle \vec{g}_{k} = \vec{b}_{k} - \biggl(
    \frac{(\vec{b}_{k}, \vec{g}_{1})}{(\vec{g}_{1}, \vec{g}_{1})} \vec{g}_{1}
    +
    \frac{(\vec{b}_{k}, \vec{g}_{2})}{(\vec{g}_{2}, \vec{g}_{2})} \vec{g}_{2}
    +
    \dots
    +
    \frac{(\vec{b}_{k}, \vec{g}_{k-1})}{(\vec{g}_{k-1}, \vec{g}_{k-1})} \vec{g}_{k-1}
    \biggr).
    $$

5. Pak jistě $\vec{g}_{k} \perp \vec{g}_{1}, \vec{g}_{k} \perp \vec{g}_{2}, \dots, \vec{g}_{k} \perp \vec{g}_{k-1}$.